# Created by pyp2rpm-2.0.0
%global pypi_name rjsmin
%if 0%{?fedora} || %{?rhel} > 7
%global with_python3 1
%endif

Name:           python-%{pypi_name}
Version:        1.0.12
Release:        10%{?dist}.1
Summary:        Javascript Minifier

License:        ASL 2.0
URL:            http://opensource.perlig.de/rjsmin/
Source0:        https://pypi.python.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

%if 0%{?with_python2}
Provides:        python2-rjsmin = %{version}-%{release}
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
%endif


%description
rJSmin is a javascript minifier written in python.

The minifier is based on the semantics
of jsmin.c by Douglas Crockford.

The module is a re-implementation aiming
for speed, so it can be used at
runtime (rather than during a preprocessing
step). Usually it produces the
same results as the original jsmin.c.

%if 0%{?with_python3} > 0
%package -n     python3-%{pypi_name}
Summary:        Javascript Minifier
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description -n python3-%{pypi_name}
rJSmin is a javascript minifier written in python.

The minifier is based on the semantics
of jsmin.c by Douglas Crockford.

The module is a re-implementation aiming
for speed, so it can be used at
runtime (rather than during a preprocessing
step). Usually it produces the
same results as the original jsmin.c.
%endif

%package docs
Summary:    Javascript Minifier - docs
%description docs
Docs for rJSmin, which is a javascript minifier written in python.

The minifier is based on the semantics
of jsmin.c by Douglas Crockford.

The module is a re-implementation aiming
for speed, so it can be used at
runtime (rather than during a preprocessing
step). Usually it produces the
same results as the original jsmin.c.



%prep
%autosetup -n %{pypi_name}-%{version}

# strip bang path from rjsmin.py
sed -i '1d' rjsmin.py

%build
%if 0%{?with_python2}
CFLAGS="%{optflags}" %{__python2} setup.py %{?py_setup_args} build --executable="%{__python2} -s"
%endif
%if 0%{?with_python3} > 0
%py3_build
%endif

%install
%if 0%{?with_python3} > 0
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py3_install
%endif

%if 0%{?with_python2}
CFLAGS="%{optflags}" %{__python2} setup.py %{?py_setup_args} install -O1 --skip-build --root %{buildroot}
%endif

# remove upstream developer documentation
rm -r %{buildroot}/%{_docdir}/%{pypi_name}/

%if 0%{?with_python2}
%files -n python-%{pypi_name}
%doc README.rst
%license LICENSE
%{python2_sitearch}/%{pypi_name}.py
%{python2_sitearch}/%{pypi_name}.py[oc]
%{python2_sitearch}/_rjsmin.so
%{python2_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info
%endif

%if 0%{?with_python3} > 0
%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitearch}/%{pypi_name}.py
%{python3_sitearch}/_%{pypi_name}.cpython*
%{python3_sitearch}/__pycache__/rjsmin.*
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info
%endif

%files docs
%doc README.rst docs

%changelog
* Tue Dec 22 2020 CPaaS User <cpaas-ops@redhat.com>
- Bump release

* Mon Oct 19 2020 Vath Sok <vsok@redhat.com>
- Bump release number

* Mon Oct 19 2020 Vath Sok <vsok@redhat.com>
- Bump release number

* Wed Oct 14 2020 Vath Sok <vsok@redhat.com>
- rebuilt

* Tue Oct 13 2020 Vath Sok <vsok@redhat.com>
- rebuilt

* Tue Oct 13 2020 Vath Sok <vsok@redhat.com>
- rebuilt

* Wed Mar 06 2019 Yaakov Selkowitz <yselkowi@redhat.com>
- Rebuilt for multi-architecture support

* Tue Jan 29 2019 Lon Hohberger <lon@redhat.com> - 1.0.12-4
- RHEL8 port

* Wed May 24 2017 Yaakov Selkowitz <yselkowi@redhat.com> - 1.0.12-3
- Rebuilt for ppc64le enablement

* Tue Mar 15 2016 Matthias Runge <mrunge@redhat.com> - 1.0.12-2
- split out -docs package, clean up description (rhbz#1312350)

* Fri Feb 26 2016 Matthias Runge <mrunge@redhat.com> - 1.0.12-1
- Initial package. (rhbz#1312350)
